# Init.tcl	--
#
#	Initializes the Tix library


# STEP 1: Version checking
#
#
if [catch {
    if {[tixScriptVersion] != $tix_version} {
        puts "error: Tix library version ([tixScriptVersion]) does not match binary version ($tix_version)"
	error 2
    }
    if {[tixScriptPatchLevel] != $tix_patchLevel} {
        puts "error: Tix library patch-level ([tixScriptPatchLevel]) does not match binary patch-level ($tix_patchLevel)"
	error 1
    }
} err ]  {
    puts "$err\n  Please check your TIX_LIBRARY environment variable and your Tix installaion."
}
    
# STEP 2: Initialize the Tix application context
#
#
if {![info exists tix]} {
    tixAppContext::AutoLoad
}

# STEP 3: Initialize the bindings for widgets that are implemented in C
#
#
tixHListBindSingle
tixHListBindMultiple
